## imcode.server.parser
Interface Element

All Superinterfaces:
  Node

All Known Implementing Classes:
  SimpleElement

    public interface Element

extends Node

Field Summary

Fields inherited from interface imcode.server.parser.Node
`ELEMENT_NODE, TEXT_NODE`

Method Summary
`java.util.Properties` `getAttributes()`
`Element` `getChildElement(java.lang.String name)`
`java.util.List` `getChildren()`
`java.lang.String` `getName()`
`java.lang.String` `getTextContent()`

Methods inherited from interface imcode.server.parser.Node
`getNodeType`

Method Detail

### getName

    java.lang.String getName()

  Returns:
    The name of this element.

### getAttributes

    java.util.Properties getAttributes()

  Returns:
    A Properties containing the attributes of this element.

### getChildren

    java.util.List getChildren()

  Returns:
    A List of Nodes below this Node.

### getChildElement

    Element getChildElement(java.lang.String name)

  Returns:
    The first child-element with the given name, or null.

### getTextContent

    java.lang.String getTextContent()

  Returns:
    The plain text-content of this element and all child-elements, without tags.